#
# spec file for package python-oauth
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-oauth
Version:        1.0.1
Release:        25.5
Url:            http://code.google.com/p/oauth
Summary:        Library for OAuth version 1.0a
License:        MIT
Group:          Development/Languages/Python
Source:         oauth-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
An open protocol to allow API authentication in a simple and standard method
from desktop and web applications.

%prep
%setup -q -n oauth-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Jul  8 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #315990,316167,315991, 317051, 315834)
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Feb 14 2012 saschpe@suse.de
- Simplified macro usage
- Package LICENSE.txt
* Wed Dec 28 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack.
* Tue Aug 30 2011 andrea.turrini@gmail.com
- Standardized "Authors:" format in description of python-oauth.spec
* Tue Apr 13 2010 dimstar@opensuse.org
- Clean the buildroot after building (clean section added to spec)
* Thu Mar 18 2010 dimstar@opensuse.org
- Spec cleaned using spec-cleaner.
- Recompress source as bz2.
* Thu Dec 10 2009 alexandre@exatati.com.br
- Initial package 1.0.1 for openSUSe.
